\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Conforming Triangulations and Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
Enumerations
2D Conforming Triangulations and Meshes Reference

##

## Enumerations
enum | CGAL::Mesh_optimization_return_code { CGAL::BOUND_REACHED = 0, CGAL::TIME_LIMIT_REACHED, CGAL::CANT_IMPROVE_ANYMORE, CGAL::CONVERGENCE_REACHED, CGAL::MAX_ITERATION_NUMBER_REACHED, CGAL::ALL_VERTICES_FROZEN }
| The enum `Mesh_optimization_return_code` is the output of the global mesh optimization functions. More...

## Enumeration Type Documentation

enum CGAL::Mesh_optimization_return_code

The enum `Mesh_optimization_return_code` is the output of the global mesh optimization functions.

This output corresponds to mesh optimization process termination reasons. Note that depending on what parameters have been set to the optimizer, each return value may represent a failure or a success.

See Also
  `CGAL::lloyd_optimize_mesh_2`

`#include <CGAL/Mesh_optimization_return_code.h>`

Enumerator
BOUND_REACHED | The given lower bound on mesh quality is reached.
TIME_LIMIT_REACHED | The given time limit is reached.
CANT_IMPROVE_ANYMORE | Mesh could not be improved anymore.
CONVERGENCE_REACHED | The given convergence bound is reached.
MAX_ITERATION_NUMBER_REACHED | The given maximum iteration number is reached.
ALL_VERTICES_FROZEN | All vertices have been frozen.